import CJS_COMPAT_NODE_URL_vmjy0ls48qs from 'node:url';
import CJS_COMPAT_NODE_PATH_vmjy0ls48qs from 'node:path';
import CJS_COMPAT_NODE_MODULE_vmjy0ls48qs from "node:module";

var __filename = CJS_COMPAT_NODE_URL_vmjy0ls48qs.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_vmjy0ls48qs.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_vmjy0ls48qs.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-LFUDK3G7.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-OVKGEUXS.js";
import "../../../../_node-chunks/chunk-OSRDPJRA.js";
import {
  __name
} from "../../../../_node-chunks/chunk-XAZ4DWTT.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  const options = this.getOptions();
  const isSpy = options.spy === "true";
  const mocked = getAutomockCode(source, isSpy, babelParser);
  return mocked.toString();
}
__name(webpackAutomockLoader, "webpackAutomockLoader");
export {
  webpackAutomockLoader as default
};
